Name: gimpsplasher
Version: 3.0.7
Release: %mkrel 1

Summary:  Change gimp's splash
Source0:  %{name}-%{version}.tar.xz
URL:      http://www.pclinuxos.com/
License:  GPLv3
Group:	  Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: make
Requires:  python3
Requires:  xapps
Requires:  python3-xapps-overrides
Requires:  libnotify
Requires:  python-gobject3
Requires:  gimp >= 2.10
Obsoletes: %name < %version


%description
This program allow you to change gimp's splash screen
Add one or many splash images to gimp's splash folder

%prep
%setup -q

%make

%install
rm -rf %{buildroot}
%makeinstall_std
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Multimedia-Graphics;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Thu Mar 16 2023 Ken <lxgator at gmail.com> 3.0.7-1pclos2023
- Update 


